Subject: Re: IPv6 Loopback Address Range

From: Vijayrajan ranganathan <[email-masked]>
Date: Thu, 1 Oct 2009 17:26:32 +0530

Hi Everyone,
    Thanks for your replies! I have another related question.

    Is there a way to limit the scope of an IPv6 address to the node?
    I am looking for a unicast address which is something like an
Interface-local multicast address
    (unfortunately I cant use the interface-local mcast address
because I might also be sending
     packets with this address as source address)

thanks & regards
Vijay

On Fri, Sep 18, 2009 at 11:24 PM, Suresh Krishnan
<[email-masked]> wrote:
> Hi Vijay,
>
> On 09-09-18 11:17 AM, Vijayrajan ranganathan wrote:
>>
>> Hi,
>>   If I want to use more than 1 loopback IPv4 address, I can
>>   assign one from 127.0.0.0/8 address range.
>>
>>   Does IANA reserve some IPv6 address range for loopback communication?
>
> No. There is only a single address ::1/128 that has been allocated for use
> on loopback interfaces.
>
>>   If not, what is the best address range to use for assigning such an
>> IPv6 address?
>
> There is no such range allocated. If you have a valid use case that requires
> such range, you can write a draft and try to request an IANA allocation for
> it.
>
> Thanks
> Suresh
>